Debian Bug report logs - #686863
nautilus-dropbox: Upgrade of nautilus-dropbox via apt or Aptitude fails

version graph

Package: nautilus-dropbox; Maintainer for nautilus-dropbox is Chow Loong Jin <hyperair@debian.org>; Source for nautilus-dropbox is src:nautilus-dropbox.

Reported by: Steven Rosenberg <steven@stevenrosenberg.net>

Date: Thu, 6 Sep 2012 19:03:01 UTC

Severity: normal

Found in version 1.4.0

Fixed in version nautilus-dropbox/1.4.0-3

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#686863; Package nautilus-dropbox. (Thu, 06 Sep 2012 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Rosenberg <steven@stevenrosenberg.net>:
New Bug report received and forwarded. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Thu, 06 Sep 2012 19:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steven Rosenberg <steven@stevenrosenberg.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus-dropbox: Upgrade of nautilus-dropbox via apt or Aptitude fails
Date: Thu, 06 Sep 2012 11:51:29 -0700
Package: nautilus-dropbox
Version: 1.4.0
Severity: normal

Dear Maintainer,

   * What led up to the situation?
A normal apt-get update && apt-get upgrade
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
Try to run the upgrade
   * What was the outcome of this action?
nautilus-dropbox fails to install
   * What outcome did you expect instead?
a clean upgrade of nautilus-dropbox

Here is the output of my terminal session:

$ sudo aptitude dist-upgrade
The following packages will be upgraded:
  nautilus-dropbox
1 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/104 kB of archives. After unpacking 332 kB will be used.
Do you want to continue? [Y/n/?] y
Reading changelogs... Done
(Reading database ... 206385 files and directories currently installed.)
Preparing to replace nautilus-dropbox 1.4.0 (using .../nautilus-
dropbox_1.4.0-2_amd64.deb) ...
Unpacking replacement nautilus-dropbox ...
dpkg: error processing /var/cache/apt/archives/nautilus-
dropbox_1.4.0-2_amd64.deb (--unpack):
 trying to overwrite '/usr/bin/dropbox', which is also in package dropbox 1.4.0
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/nautilus-dropbox_1.4.0-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus-dropbox depends on:
ii  dropbox  1.4.0

nautilus-dropbox recommends no packages.

nautilus-dropbox suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#686863; Package nautilus-dropbox. (Fri, 07 Sep 2012 06:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Fri, 07 Sep 2012 06:15:08 GMT) Full text and rfc822 format available.

Message #10 received at 686863@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Steven Rosenberg <steven@stevenrosenberg.net>, 686863@bugs.debian.org
Subject: Re: Bug#686863: nautilus-dropbox: Upgrade of nautilus-dropbox via apt or Aptitude fails
Date: Fri, 7 Sep 2012 08:12:57 +0200
Control: tag -1 pending

Hi,

On Thu, 06 Sep 2012, Steven Rosenberg wrote:
> Unpacking replacement nautilus-dropbox ...
> dpkg: error processing /var/cache/apt/archives/nautilus-
> dropbox_1.4.0-2_amd64.deb (--unpack):
>  trying to overwrite '/usr/bin/dropbox', which is also in package dropbox 1.4.0

The package "dropbox" is not an official Debian package. I guess you
installed it directly from dropbox.com.

It's basically the same software but in a different package name and thus
they are not co-installable. Unfortunately dropbox did not coordinate the
rename of their package.

You should thus remove either dropbox or nautilus-dropbox.

On my side, I will add a "Conflicts: dropbox" so that the package manager
knows that they are not co-installable.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Added tag(s) pending. Request was from Raphael Hertzog <hertzog@debian.org> to 686863-submit@bugs.debian.org. (Fri, 07 Sep 2012 06:15:08 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Fri, 07 Sep 2012 06:36:03 GMT) Full text and rfc822 format available.

Notification sent to Steven Rosenberg <steven@stevenrosenberg.net>:
Bug acknowledged by developer. (Fri, 07 Sep 2012 06:36:04 GMT) Full text and rfc822 format available.

Message #17 received at 686863-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 686863-close@bugs.debian.org
Subject: Bug#686863: fixed in nautilus-dropbox 1.4.0-3
Date: Fri, 07 Sep 2012 06:32:41 +0000
Source: nautilus-dropbox
Source-Version: 1.4.0-3

We believe that the bug you reported is fixed in the latest version of
nautilus-dropbox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686863@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated nautilus-dropbox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 07 Sep 2012 08:04:57 +0200
Source: nautilus-dropbox
Binary: nautilus-dropbox
Architecture: source i386
Version: 1.4.0-3
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 nautilus-dropbox - Dropbox integration for Nautilus
Closes: 686863
Changes: 
 nautilus-dropbox (1.4.0-3) unstable; urgency=low
 .
   * Add "Conflicts: dropbox" since dropbox (the company) renamed
     their nautilus-dropbox into dropbox, and the same software is
     now packaged under two package names. Closes: #686863
Checksums-Sha1: 
 796394f4015a79b7baf6fdeb693843840723600c 2145 nautilus-dropbox_1.4.0-3.dsc
 5a9c0fafa10cbdb80b0a0405736f8682c38f7756 13894 nautilus-dropbox_1.4.0-3.debian.tar.bz2
 ba993fd748537909780b2ae93109ff1f07a9851e 103992 nautilus-dropbox_1.4.0-3_i386.deb
Checksums-Sha256: 
 055911e196c51c3407dd224cee80ac35dfe4e51a989d30be4589ee3502187347 2145 nautilus-dropbox_1.4.0-3.dsc
 47250491fc12a068587ca1bbe77147905d301754a122ba3ab6436a2071036957 13894 nautilus-dropbox_1.4.0-3.debian.tar.bz2
 17a9a51431da36f81291fd3901dad727a2d9eb83a411587aab84f0124710c617 103992 nautilus-dropbox_1.4.0-3_i386.deb
Files: 
 6acbf5a0156771a1b6d89cbefb38266e 2145 non-free/gnome optional nautilus-dropbox_1.4.0-3.dsc
 10ee166308933d69f1d0d0f06ddfa352 13894 non-free/gnome optional nautilus-dropbox_1.4.0-3.debian.tar.bz2
 81979d6e71f0e98318aa39c5662c4fc5 103992 non-free/gnome optional nautilus-dropbox_1.4.0-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJQSZOEAAoJEOYZBF3yrHKaIQ4P/1cpWCGzk1yJZg5oGu99jB3Q
WEK1lFW1K5IYJvqrSpOq/zzCaNZy6nug8il1VY4S3XziAtC7nyegFL3O596FPRjI
8WzXWYBPCKDGExN51RAxg23qPYUBmEEnwofyG2kXa3MNGsRrq/OaEGP6R4w5KYIG
aF0w7fWaWw33UgkWH1qa2Q8mYmGWjp0eHB3Cz92/rZMm0i0Cp7pgEsZV6cbhBN7E
pbReuu4WaRh1l+/km9Q57rsbRbdaHdBKB4KDJTV8U0U1HdC+5Vn4QPqA5c3IPg7B
WCB4zXLMWtTR3Fj6vLwTrkF4gkbSYcri3elZRLkpoW/wayw+2MGE+nHTiggoHMga
bhQl5Q/dEyEBWJxhK2XKJeB7OBeq4+Xby64p/py4URSJ87MHtYVPQVV+aW5l9+6b
AQo2kHnDJWJ/r14iBoMXkQno3IRl/VwMqG5d3zNf3+4rsOfzoqZwX5Jc6ScyTe/s
hLCFfBQRsCrBSkSea/lPaXGK3U9fjnaUn9vhD6MtCM/EiuLi3OzmhElAU4hWN+sn
+hrygWWx/2uFRh66pR/eFxanUl77k2lCWX4lV7B0XqJmYla2pBtHFjMN0tOJqVh4
jnP82xCN24U6nI73+oem1MP3S0Y3rbUbdVLSCFYBHiIQhJVpOAluk6l8zBdDZWUw
j+35LRDSl4w3je8swrt8
=wTvs
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Oct 2012 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:19:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.